package storage

import (
	"time"

	"gopkg.in/mgo.v2/bson"
)

type Term struct {
	ID                bson.ObjectId `bson:"_id,omitempty"`
	Slug              string        `bson:"slug"`
	Language          string        `bson:"lang"`
	Name              string        `bson:"name"`
	CurrentRevisionID string        `bson:"revision_id,omitempty"`
	Redirect          string        `bson:"redirect,omitempty"`
}

type Revision struct {
	ID          bson.ObjectId `bson:"_id,omitempty"`
	TermID      string        `bson:"term_id"`
	AuthorIP    string        `bson:"author_ip"`
	PublishDate time.Time     `bson:"date"`
	Text        string        `bson:"text"`
	HTML        string        `bson:"html,omitempty"`
}
